2 Replies Latest reply on Jan 15, 2020 11:43 AM by bucpatr

    Using Older Versions of Hibernate in HibernateTools Ant

    bucpatr Newbie

      I'm in the process of trying to set up an ant task to generate a schema based on my existing JPA annotated classes. I was able to get the ant task to run, but it keeps failing with the exception

       

      java.lang.NoClassDefFoundError: org/dom4j/DocumentException

       

      From what I can tell, I'm missing a library somewhere, but I don't see anything for dom4j in the libs that come bundled with the plugin. Is there some way to define which logging solution the ant task should be using? Could this be caused by a mismatch between the hibernate version being used to compile my classes and the version that is bundled in hibernate-tools?